# tableau Api Tableau Cloud Manager REST API (cloud-manager) - Full Documentation # Authentication Before you can perform any activities in Tableau Cloud Manager (TCM), you need to authenticate to Tableau Cloud Manager REST API. Authenticating to Tableau Cloud Manager REST API has different requirements than authenticating directly to Tableau Cloud Manager. ### About authenticating to Tableau Cloud Manager REST API To authenticate, or sign in, to Tableau Cloud Manager REST API, you must be a cloud administrator, and use one of the following: - Personal access token (PAT) - Pass a JSON Web Token (JWT) using a unified access token (UAT) After signing in, you acquire a TCM credentials token. A TCM credentials token is required for any subsequent API requests that you make. You can use the [Authentication Methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods) to sign in to the Tableau Cloud Manager REST API. For more information, see [Sign in to Tableau Cloud Manager REST API](#sign-in-to-tableau-cloud-manager-rest-api) below. #### About unified access tokens (UATs) Beginning in December 2025, you can configure a unified access token (UAT) that enables you to pass a JSON Web Token (JWT) to acquire a TCM credentials token. Among its benefits, UATs enable unified JWT-based authentication across Tableau Cloud Manager REST API and Tableau REST API for tenant and site-level administrative and content tasks. For more information, see [Unified Access Tokens](/current/api/cloud-manager/en-us/docs/unified_access_tokens.html). ### About authenticating to Tableau Cloud Manager To authenticate, or sign in, to the TCM UI, you must be a cloud administrator and one of the following authentication types must be enabled for the tenant: - **Single sign-on (SSO)** using Google, OpenID Connect (OIDC), Salesforce, or Security Assertion Markup Language (SAML) authentication. Setting up SSO with an external identity provider (IdP) requires minimal configuration in TCM. You can use the [Single Sign-on Methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods) to do the following: - Enable Google, OIDC, Salesforce, or SAML authentication for TCM users - Enable SAML authentication for Tableau Cloud site users - **Tableau with MFA** authentication. When TCM users sign in to TCM for the first time, they’ll be prompted to set up multi-factor authentication (MFA) with a Tableau username and password. For more information, see [Sign In to Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_signin.htm) topic in the Tableau Cloud Help. **Notes:** - SSO is not supported for Tableau Cloud Manager REST API authentication. - If SSO is enabled to authenticate users in TCM, we recommend that there’s at least one cloud administrator that uses “Tableau with MFA” authentication to ensure uninterrupted access to TCM. For more information, see [Set up TCM authentication for users](#set-up-tcm-authentication-for-users) below. #### About configuring SAML authentication in Tableau Cloud Manager Beginning in December 2025, the SAML configuration methods in the TCM REST API enable you, the cloud administrator, to programmatically configure both SAML authentication for Tableau Cloud Manager (tenant) and your Tableau Cloud sites. This includes creating, updating, deleting SAML configurations for both the tenant and specific sites. For more information, see [Single Sign-on Methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods). **Table of Contents** ## Sign in to Tableau Cloud Manager REST API To sign in to Tableau Cloud Manager REST API, you need to generate a personal access token (PAT) through the TCM UI first. After you create the PAT, you can use it in the **Sign in with personal access token** method request body. **About personal access tokens** PATs are long-lived access tokens. PATs validate that cloud administrators are allowed to sign in to Tableau Cloud Manager REST API. PATs offer the following advantages: - They can be revoked without disabling the user they’re attached to - They can be used concurrently, which make them ideal for use with scripts that run for different functional areas, such as sites, users, and permissions - A user can have multiple PATs For more information about PATs, see the [Personal Access Tokens for Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_personal_access_tokens.htm) topic in the Tableau Cloud Help. **Notes:** - PATs generated in Tableau Cloud aren’t compatible with TCM. Similarly, PATs generated in TCM aren’t compatible with Tableau Cloud. - To sign in to the Tableau Cloud Manager REST API for the first time, you must generate a PAT using the TCM UI. After that, you can generate new PATs using the [Create personal access token](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/createPersonalAccessToken) method. ### Step 1: Create a personal access token from TCM UI Before you can sign in to the Tableau Cloud Manager REST API for the first time, you must generate a PAT from the TCM UI first. 1. On the [Tableau Cloud Manager sign-in](https://cloudmanager.tableau.com) page, enter your username (email address). **Note:** The username you enter depends on the authentication set up for TCM. 2. Do _one_ of the following depending on what is displayed: - Select the tenant name and click the **Sign In** button. - Enter the tenant name in the **URI** text box and click the **Continue** button. **Note:** If you don’t know the tenant name, see [How to Find Tenant Name](/current/api/cloud-manager/en-us/docs/tenant.html). 3. Follow the prompts to enter your password and complete the sign-in process. **Note:** Your sign-in experience depends on the authentication set up for TCM. 4. Navigate to your account drop-down in the upper-right corner of the page and select **My Account Settings**. 5. In the Personal Access Tokens section, do the following: - 5.1. Click the **Create Token** button. - 5.2. Enter a token name. - 5.3. Optionally, set the token expiration. - 5.4. Click the **Create** button. - 5.5. Click the **Copy Secret** button to use in your Sign In request. Make sure you store the token secret in a safe location. The token secret is only shown once and won’t be accessible after the dialog box is closed. ### Step 2: Make a sign in request with personal access token The following section describes the different components required to sign in to the Tableau Cloud Manager REST API using the [Sign in with personal access token](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/personalAccessTokenLogin) method. **Example URI** To call the Tableau Cloud Manager REST API, first make a request using the **Sign in with personal access token** method to generate a TCM credentials token like in the example below. `POST https://cloudmanager.tableau.com/api/v1/pat/login` **Example request body** The **Sign in with personal access token** request body must contain the PAT secret, `token`, like in the example below. ``` { "token": "JKGpaIjBQaS1vlXIIt9g+A==:-jeD0dkAWu-mwZQPgRf3NvgHQBUZ7atQsPxh911YmPU" } ``` **Example response body** The **Sign in with personal access token** request produces the following response body. The response includes the TCM credentials token, `sessionToken`, like in the example below. ``` { "sessionToken": "+iUzQx+s:E9T43sqund-xDGle-9trR7WPLkqCkT_7zks3_dVsV0By_Jji", "userId": "306982a2-4bb0-b858-b82eeI24b857", "tenantId": "56978815-59b6-4a61-b9e8-ede126e23bab", "sessionExpiration": "2024-0706T84:53:13.688541Z" } ``` **Note:** A `sessionExpiration` value is returned in the sign-in response. This value corresponds to when the PAT expires in UTC time. ### Step 3: Include the `x-tableau-session-token` header in subsequent requests After generating the TCM credentials token, `sessionToken`, add it to the header, `x-tableau-session-token`, for all subsequent Tableau Cloud Manager REST API requests. **Example header** `x-tableau-session-token:+iUzQx+s:E9T43sqund-xDGle-9trR7WPLkqCkT_7zks3_dVsV0By_Jji` The TCM credentials token is short-lived. It expires after 4 hours or when the session is idle for 30 continuous minutes with no requests. When the TCM credentials token expires, you need to sign in to Tableau Cloud Manager REST API again to get a new TCM credentials token. ## Set up TCM authentication for users Using the Tableau Cloud Manager REST API, you can configure authentication to Tableau Cloud Manager (TCM) and assign the authentication type to TCM users. You can set the following types of authentication to enable sign-in for TCM users: - **Single sign-on (SSO):** SSO means that TCM is set up to use the same username and password (credentials) you use for other applications in your company. With SSO, your credentials are managed outside of Tableau by a third-party identity provider (IdP). When you sign in to TCM, it’s the IdP that lets Tableau know you’re an approved user. TCM supports authentication through Google, OIDC, Salesforce, or SAML. - **Tableau with MFA:** When multi-factor authentication (MFA) is enabled with Tableau authentication, you use a combination of your Tableau with MFA credentials and a verification method to access TCM. Tableau credentials are made up of an email address and password that you use for accessing TCM. You can choose a verification method after you register for MFA. For more information, see [Register for multi-factor authentication](https://help.tableau.com/current/online/en-us/cloud_manager_signin.htm#mfa-register-user). **Note:** To use Tableau with MFA authentication, skip Step 1 and go directly to [Step 2: Assign authentication to users](#step-2-assign-authentication-to-users) below. ### Step 1: Configure authentication After you make the sign-in request, you can configure Google, OpenID Connect (OIDC), or Salesforce authentication using the [Create or update OIDC configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods/operation/createOrUpdateOIDCConfiguration) method. Alternatively, you can configure SAML authentication using [Create SAML configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods/operation/createSamlConfiguration) method. The example below sets up Salesforce authentication for the tenant, which has a resource value of `123e4567-e89b-12d3-a456-426614174000` that can be retrieved by using the [Get Tenant](/current/api/cloud-manager/en-us/reference/index.html#tag/Tenant-Methods/operation/areTenantNameAndEncodeUriUnique) method. **Example URI** `PUT https://cloudmanager.tableau.com/api/v1/resources/123e4567-e89b-12d3-a456-426614174000/oidcconfiguration` **Example request body** ``` { "enabled": true, "knownProviderAlias": "Salesforce", "salesforceDomain": "login.salesforce.com" } ``` ### Step 2: Assign authentication to user After the authentication type has been configured for the tenant, assign TCM users to use that authentication. #### To assign single sign-on (SSO) authentication to users Using the [Add tenant user](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/createUserWithMultiRole) method, set the `idp` value to `OpenID`. In this example, Salesforce authentication is assigned to the new TCM user because Salesforce is the authentication type configured for the tenant, which is specified by the `knownProviderAlias` attribute in [Step 1: Configure authentication](#step-1-configure-authentication) above. **Example URI** `POST https://cloudmanager.tableau.com/api/v1/tenants/f97df110-f4de-492e-8849-4a6af68026b0/users` **Example request body** ``` { "linkRoles": [ { "linkID": "ce9cad81-cd67-43fb-b952-2441d7b5a751", "linkRole": "LINK_ADMIN", "idp": "OpenID" } ] } ``` #### To assign Tableau with MFA authentication to users Using the [Add tenant user](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/createUserWithMultiRole) method, set the `idp` value to `TabIDWithMFA`. **Example URI** `POST https://cloudmanager.tableau.com/api/v1/tenants/f97df110-f4de-492e-8849-4a6af68026b0/users` **Example request body** ``` { "linkRoles": [ { "linkID": "ce9cad81-cd67-43fb-b952-2441d7b5a751", "linkRole": "LINK_ADMIN", "idp": "TabIDWithMFA" } ] } ``` # How to Get Tenant Name A tenant in Tableau Cloud is the top-level administrative layer that holds all your sites, users, and licenses. Cloud administrators operate at this level using Tableau Cloud Manager (TCM). To sign in to Tableau Cloud Manager REST API, you must know the name of the tenant that you want to access. **Table of Contents** ## Get tenant name in TCM UI The most direct way to find the tenant name is by signing into the TCM UI from the email invitation you received when you were initially added to TCM. If you don’t have the email invitation, you can follow the “Forgot URI” workflow. ### Option 1: Sign in from email invitation 1. Navigate to the TCM email invitation you received. 2. In the email invitation, click the **Sign In** button. 3. Follow the prompts to enter your password and complete the sign-in process. **Note:** Your sign-in experience depends on the authentication set up for TCM. The tenant name is in the first portion of the URL after you’ve signed in to TCM. For example, if your tenant URL is https://mytenant.cloudmanager.tableau.com, the tenant name you can use to sign in to TCM and in Tableau Cloud Manager REST API requests is `mytenant`. ### Option 2: Sign in using “Forgot URI” workflow 1. On the [Tableau Cloud Manager sign-in](https://cloudmanager.tableau.com) page, enter your username (email address) and click the **Sign In** button. **Note:** The username you enter depends on the authentication set up for TCM. 2. Click **Forgot URI**. This will prompt an email notification to be sent to you. 3. Navigate to the email notification from Tableau and copy the verification code. 4. Back on the **Check your email** page, paste the verification code you copied, and click the **Verify** button. 5. On the **Select where to sign in** page, select the tenant and click the **Sign In** button. For example, select `Cloud Manager: MyTenant`. 6. Follow the prompts to enter your password and complete the sign-in process. **Note:** Your sign-in experience depends on the authentication set up for TCM. The tenant name is in first portion of the URL after you’ve signed in to TCM. For example, if your tenant URL is https://mytenant.cloudmanager.tableau.com, the tenant name you use to sign in to the Tableau Cloud Manager REST API is `mytenant`. ## Get tenant ID To find the tenant ID (`tenantId`), you have one of two options: Sign in to TCM REST API with a personal access token or sign in to TCM (UI) and use your browser’s developer tools. ### Option 1: Sign in to TCM REST API using personal access token 1. Make a call to the [Sign in with personal access token](/current/api/cloud-manager/en-us/reference/index.html##tag/Authentication-Methods/operation/personalAccessTokenLogin) to sign in to the Tableau Cloud Manager REST API. 2. Review the response body for the `tenantId`. ### Option 2: Sign in to TCM (UI) and use browser developer tools The procedure described below uses Google Chrome. 1. Sign in to [Tableau Cloud Manager](https://cloudmanager.tableau.com). 2. On your browser page, navigate to the browser’s developer tools. For example: - 2.1 On the browser menu, select **More Tools** > **Developer Tools**. - 2.2 Click on the **Network** tab. - 2.3 Under Name section, navigate to and click **userinfo**. - 2.4 Review the Response tab for the `tenantId`. # Platform Data The Platform Data API provides platform-agnostic, enterprise-grade observability across your Tableau Cloud deployment. Accessible through Tableau Cloud Manager (TCM) REST API, the Platform Data API offers a centralized way to retrieve auditing and usage data to monitor security, performance, and operational health. #### Benefits of Platform Data API The Platform Data API offers the following benefits: - **Unified observability:** Access all event data for the tenant and site from a single interface. - **Platform agnostic**: Pull data into your preferred tool or custom automation. - **Scalability:** Replace manual processes with RESTful API calls designed to handle large-scale Tableau Cloud deployments. - **Near real-time monitoring:** If licensed with Tableau+ or Tableau Enterprise edition, access high-frequency data so that you can respond to critical events. - **Extended retention:** If licensed with Tableau+ or Tableau Enterprise edition, keep event data for up to one year to meet compliance and auditing requirements. **Table of Contents** ## Understanding Platform Data The Platform Data API provides access to two complementary types of data: - **Event logs:** Historical event data that captures what happened in your Tableau Cloud deployment. Event logs record user actions, system events, and security-related activities at both the tenant and site levels. This data is stored in JSON format. - **Entity snapshots:** Point-in-time snapshots of Tableau Cloud content and its components, such as workbooks, data sources, published connections, users, and groups. Entity snapshots capture the current state of what exists on your sites. This data is stored in Parquet format. **Note:** You can test these methods using an open source tool available in GitHub, [Tableau Cloud Platform Data Loader](https://github.com/tableau/tabcloud_platform_data_loader). ### When to use each data type | **Goals** | **Questions to answer** | **Platform Data file type** | **Required license** | | --- | --- | --- | --- | | To understand events, user actions, or changes over time | Who accessed this workbook yesterday? What caused this authentication failure? Show me all failed sign-in attempts. | Event logs | See [Event Update and Data Retention](https://help.tableau.com/current/online/en-us/activity_log_overview.htm#event-update-frequency-and-data-retention) in the Tableau Cloud Help. | | To understand the current state or metadata of content | How many workbooks exist in the Sales project? Which data sources are certified? List all users with Creator licenses. | Entity snapshots | Enterprise or Tableau+ | | To relate events to content for comprehensive analysis | Show access events for workbooks that are now deleted. Which users modified high-priority data sources? What was the state of this workbook when the error occurred? | Event logs and entity snapshots | Enterprise or Tableau+ | ## Step 1: Authenticate to Tableau Cloud Manager REST API Before you can use the Platform Data API, you must authenticate to the Tableau Cloud Manager (TCM) REST API. How you authenticate to the TCM REST API depends on whether you’re signing in for the first time or have previously signed in before. - **First-time workflow:** If authenticating to the TCM REST API for the first time, follow the steps described in [Sign in to Tableau Cloud Manager REST API](https://help.tableau.com/current/api/cloud-manager/en-us/docs/authentication.html#sign-in-to-tableau-cloud-manager-rest-api). - **Returning workflow:** If you’ve previously signed in to the TCM REST API, authenticate by using one of the following methods: - [Sign in with personal access token](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/personalAccessTokenLogin) - [Sign in with unified access token JWT](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/jwtLogin) **Notes:** - The sign in response returns the tenant ID that you’ll use in subsequent requests. - For site requests, you’ll need the site ID. To get site IDs of the sites on the tenant for subsequent requests, use the [List Tenant Sites](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods/operation/getSites) method. ## Step 2: List available files Retrieve a list of available files to download by calling the appropriate method based on the data type you need: **Event logs:** - [List Activity Logs for Tenant](/current/api/cloud-manager/en-us/reference/index.html#tag/Platform-Data-Methods/operation/getActivityLogFileListForTenant) returns tenant-level events - [List Activity Logs for Site](/current/api/cloud-manager/en-us/reference/index.html#tag/Platform-Data-Methods/operation/getSiteActivityLogListForSite) returns site-level events **Entity snapshots:** - [List Entity Snapshots for Site](/current/api/cloud-manager/en-us/reference/index.html#tag/Platform-Data-Methods/operation/getSiteEntitySnapshotListForSite) returns entity snapshots for a site You can filter the results by date range (`startTime` and `endTime`) and type (`eventType` for event logs, `entityType` for entity snapshots). If no parameters are included, the APIs return the last 24 hours of available data for all types. ### About dates and date ranges - Start time and end time parameters are in UTC format. We recommend always specifying the start time. However, if the start time isn’t specified, the default is 24 hours before the request. - Seven days is the maximum time span that you can specify between start and end times in a single request. A range that exceeds seven days causes the request to fail. - **Entity snapshots only:** Start time must not exceed 14 days in the past. **Best practices** Timestamps generally represent when the records became available, not necessarily when the events or snapshots occurred. Consider the following best practices: - You can use dates to capture incrementally new data as it becomes available. - When searching for data within a particular time window, specify a wider range to ensure you capture all relevant data in your request. For event logs, add at least one hour on each side to the time range. ### About data types **Event log types** There are two categories of event types: tenant events and site events. - **Tenant events:** Recorded activities that occur within the TCM platform - **Site events:** Recorded activities that occur within each site on the tenant For a list of event types and corresponding parameters, see: - [Activity Log Tenant Event Type Reference](https://help.tableau.com/current/online/en-us/activity_log_tenant_schema.htm) - [Activity Log Site Event Type Reference](https://help.tableau.com/current/online/en-us/activity_log_schema.htm) **Entity snapshot entity types** Entity snapshots provide information about site-level content and components. For a list of entity types and corresponding parameters, see: - [Entity Snapshot Site Entity Type Reference](https://help.tableau.com/current/api/cloud-manager/en-us/docs/TBD) **Best practices** - Because the `eventType` and `entityType` filters accept a single value per request, we recommend using these filters for ad hoc requests. For example, query no more than three types as separate requests. Making multiple requests for more types can cause a measurable impact on API call capacity and can cause API request limits to be reached quickly. For more information about these limits, see [API request limits](/current/api/cloud-manager/en-us/reference/index.html#tag/Platform-Data-Methods#api-request-limits). - If interested in multiple types, call all types without a filter. Then use the `GET` methods to retrieve specific types you’re interested in. ### Example requests To list files, you need the tenant ID, and for site-level files, both the tenant ID and site ID. The tenant ID is returned after authenticating to the TCM REST API. To get the site ID, you can call the [List Tenant Sites](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods/operation/getSites) method. **Event logs - tenant** This request returns all tenant events 24 hours before the time of the request. `GET https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/activitylog` This request returns events from January 1 to January 7. `GET https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/activitylog?startTime=2026-01-01-T00:00:00&endTime=2026-01-07-T00:00:00` This request returns site creation ([tcm\_activity\_log\_access](https://help.tableau.com/current/online/en-us/activity_log_tenant_schema.htm#tcmactivitylogaccess)) activity from January 1 to January 7. `GET https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/activitylog?startTime=2026-01-01-T00:00:00&endTime=2026-01-07-T00:00:00&eventType=tcm_activity_log_access` **Event logs - site** This request returns all site events 24 hours before the time of the request. `GET https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/sites/{siteId}/activitylog` This request returns seven days of events from January 1 to January 7. `GET https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/sites/{siteId}/activitylog?startTime=2026-01-01-T00:00:00&endTime=2026-01-07-T00:00:00` This request returns refresh token or personal access token redemption ([hist\_redeem\_refresh\_token](https://help.tableau.com/current/online/en-us/activity_log_schema.htm#histredeemrefreshtoken)) activity from January 1 to January 7. `GET https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/sites/{siteId}/activitylog?startTime=2026-01-01-T00:00:00&endTime=2026-01-07-T00:00:00&eventType=hist_redeem_refresh_token` **Entity snapshots** This request returns all entity snapshots 24 hours before the time of the request. `GET https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/sites/{siteId}/snapshots` This request returns entity snapshots from January 1 to January 7. `GET https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/sites/{siteId}/snapshots?startTime=2026-01-01-T00:00:00&endTime=2026-01-07-T00:00:00` This request returns visualization entity snapshots from January 1 to January 7. `GET https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/sites/{siteId}/snapshots?startTime=2026-01-01-T00:00:00&endTime=2026-01-07-T00:00:00&entityType=views` ### Example responses The response returns a list of file paths and their corresponding sizes (bytes), partitioned by tenant or site ID, date range, and type. What is returned is then filtered by the parameters you provide. **Note**: For event logs, because tenant IDs aren’t returned as part of the path for site-level data, consider creating a tenant folder when managing or storing these files. **Event logs - tenant** ``` { "files": [ { "path": "tenant-9cde722f-1edc-4cdd-b76f-42d87b51c785/y=2026/m=01/d=01/h=0/eventType=tcm_activity_log_access/ActivityLog-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-376429.text", "size": 2112 } ] } ``` **Event logs - site** ``` { "files": [ { "path": "pod=prod-ca-a/siteLuid=33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/eventType=hist_redeem_refresh_token/ActivityLog-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-376429.text", "size": 1292 } ] } ``` **Entity snapshots** ``` { "files": [ { "path": "pod=prod-ca-a/siteLuid=33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/entityType=views/EntitySnapshot-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-376429.parquet", "size": 8192 } ] } ``` ## Step 3: Generate download URLs To access the data, pick which file paths returned from the previous request to generate download URLs for. You’ll then use the paths in the request body of the appropriate `GET` method: **Event logs:** - [Get Activity Logs for Tenant](/current/api/cloud-manager/en-us/reference/index.html#tag/Platform-Data-Methods/operation/getActivityLogForTenant) - [Get Activity Logs for Site](/current/api/cloud-manager/en-us/reference/index.html#tag/Platform-Data-Methods/operation/getActivityLogForSite) **Entity snapshots:** - [Get Entity Snapshot for Site](/current/api/cloud-manager/en-us/reference/index.html#tag/Platform-Data-Methods/operation/getEntitySnapshotForSite) ### Example requests **Event logs - tenant URI** The request returns a download URL for the “ActivityLog-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-376429.txt” log file. `POST https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/activitylog` **Event logs - tenant request body** ``` { "files": [ "tenant-9cde722f-1edc-4cdd-b76f-42d87b51c785/y=2026/m=01/d=01/h=0/eventType=tcm_activity_log_access/ActivityLog-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-376429.txt" ] } ``` **Event logs - site URI** The request returns download URLs for the specified event log files. `POST https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/sites/{siteId}/activitylog` **Event logs - site request body** The request must include a comma-separated list of paths from the previous request. ``` { "files": [ "pod=prod-ca-a/siteLuid=33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/eventType=hist_redeem_refresh_token/ActivityLog-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-376429.txt", "pod=prod-ca-a/siteLuid=33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/eventType=background_job/ActivityLog-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-7.txt " ] } ``` **Entity snapshots - site URI** The request returns download URLs for the specified entity snapshot files. `POST https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/sites/{siteId}/snapshots` **Entity snapshots - site request body** The request must include a comma-separated list of paths from the previous request. ``` { "files": [ "pod=prod-ca-a/siteLuid=33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/entityType=views/EntitySnapshot-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-376429.parquet", "pod=prod-ca-a/siteLuid=33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/entityType=workbooks/EntitySnapshot-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-7.parquet" ] } ``` ### Example responses The response produces the original file paths and corresponding download URLs to access the files. The URLs expire after 10 minutes. **Important:** Because the download URLs allow unauthenticated access to your data, treat these URLs as sensitive information and don’t share with anyone. **Event logs - tenant** ``` { "files": [ { "path": "tenant-9cde722f-1edc-4cdd-b76f-42d87b51c785/y=2026/m=01/d=01/h=0/eventType=tcm_activity_log_access/ActivityLog-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-376429.txt", "url": "https://m1jb91y8k3mwh.mrap.accesspoint.s3-global.amazonaws.com/tenant%3D9cde722f-1edc-4cdd-b76f-42d87b51c785/y%3D2026/m%3D01/d=01/h=0/eventType=tcm_activity_log_access/ActivityLog-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-376429.txt?X-Amz-Algorithm=AWS4-ECDSA-P256-SHA256&..." } ] } ``` **Event logs - site** ``` { "files": [ { "path": "pod=prod-ca-a/siteLuid=33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/eventType=hist_redeem_refresh_token/ActivityLog-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-376429.txt", "url": "https://activity-log-site-prod-ca-a.s3.ca-central-1.amazonaws.com/jb91y8k3mwh.mrap.accesspoint.s3-global.amazonaws.com/pod%3Dprod-ca-a/siteLuid%3D33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/eventType=hist_redeem_refresh_token/ActivityLog-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-376429.txt?X-Amz-Algorithm=AWS4-ECDSA-P256-SHA256&..." }, { "path": "pod=prod-ca-a/siteLuid=33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/eventType=background_job/ActivityLog-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-7.txt", "url": "https://activity-log-site-prod-ca-a.s3.ca-central-1.amazonaws.com/jb91y8k3mwh.mrap.accesspoint.s3-global.amazonaws.com/pod%3Dprod-ca-a/siteLuid%3D33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/eventType=background_job/ActivityLog-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-7.txt?X-Amz-Algorithm=AWS4-ECDSA-P256-SHA256&..." } ] } ``` **Entity snapshots - site** ``` { "files": [ { "path": "pod=prod-ca-a/siteLuid=33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/entityType=views/EntitySnapshot-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-376429.parquet", "url": "https://entity-snapshot-site-prod-ca-a.s3.ca-central-1.amazonaws.com/jb91y8k3mwh.mrap.accesspoint.s3-global.amazonaws.com/pod%3Dprod-ca-a/siteLuid%3D33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/entityType=views/EntitySnapshot-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-376429.parquet?X-Amz-Algorithm=AWS4-ECDSA-P256-SHA256&..." }, { "path": "pod=prod-ca-a/siteLuid=33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/entityType=workbooks/EntitySnapshot-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-7.parquet", "url": "https://entity-snapshot-site-prod-ca-a.s3.ca-central-1.amazonaws.com/jb91y8k3mwh.mrap.accesspoint.s3-global.amazonaws.com/pod%3Dprod-ca-a/siteLuid%3D33d345e6-36bd-4411-91e2-1c9fc849564e/y=2026/m=01/d=01/h=0/entityType=workbooks/EntitySnapshot-0fb71a00-5645-44e3-ace6-aa37d66aa966-0-0-7.parquet?X-Amz-Algorithm=AWS4-ECDSA-P256-SHA256&..." } ] } ``` ## Step 4: Download and analyze data Programmatically open each URL returned from the previous request or copy and paste the URL in a browser to download each file. After you’ve downloaded the files, ingest them into your preferred analytics platform for analysis. ### File formats and tools **Event logs** are in JSON format. You can: - Open them in a text editor to view individual events - Import them into analytics platforms like Tableau, Splunk, Snowflake, or other tools that support JSON ingestion **Entity snapshots** are in Parquet format. You can: - Read them using tools like Apache Spark, Python (pandas, pyarrow), or DuckDB - Import them into analytics platforms like Tableau, Snowflake, or other tools that support Parquet files ### Using analytics tools You can ingest Platform Data into various analytics and monitoring platforms: - **Tableau:** Import JSON or Parquet files directly or publish them as data sources for visualization and analysis. - **Splunk:** Use Splunk’s data ingestion agents to monitor and index event log files. For detailed integration steps, refer to the [Splunk documentation](https://docs.splunk.com/Documentation). - **Snowflake:** Load event log and entity snapshot data into Snowflake for data warehousing and analytics. See the [Snowflake documentation](https://docs.snowflake.com/) for integration guidance. - **Other platforms:** Most analytics platforms support JSON and Parquet data ingestion. Consult your platform’s documentation for specific integration steps. For advanced use cases involving the integration of event logs with entity snapshots, see [Integrate event logs and entity snapshots](#integrate-activity-logs-and-entity-snapshots). ### Example data **Event logs - tenant** For example, an event log download URL might produce the following JSON data when opened in a text editor. ``` {"eventId":"bbce137f-12ce-4eaf-b4eb-fd0d42e521a0","tenantId":"9cde722f-1edc-4cdd-b76f-42d87b51c785","eventType":"tcm_activity_log_access","eventVersion":"0.1","eventProcessedTime":"2026-01-04T21:08:46.819Z","initiatingUserIPAddress":"155.000.00.00","eventProcessedTimeEnd":"2026-11-04T21:08:43.022551Z","siteName":null,"initiatingUserAgent":"PostmanRuntime/7.42.0","initiatingSessionId":"166a62f4-8bbc-4020-918e-a8b15dc36ff3","siteUri":null,"podUri":null,"eventProcessedTimeStart":"2026-01-13T21:08:43.022Z","initiatingUrl":"https://mytenant.manage.online.tableau.com/api/v1/tenants/9cde722f-1edc-4cdd-b76f-42d87b51c785/activitylog","tenantUri":"mytenant","initiatingUserEmail":"snguyen@example.com","tenantName":"mytenant","eventOutcome":"success","eventTime":"2026-01-14T21:08:43.028Z","siteId":null,"initiatingUserRole":"TCM_ADMIN","initiatingUserDisplayName":". snguyen@yourcompany.com","eventTypeAccessed":null,"eventOutcomeReason":null,"initiatingUserId":"33d345e6-a011-4992-8db0-94768451e54e"} {"eventId":"bbce137f-12ce-4eaf-b4eb-fd0d42e521a1","tenantId":"9cde722f-1edc-4cdd-b76f-42d87b51c785","eventType":"tcm_activity_log_access","eventVersion":"0.1","eventProcessedTime":"2026-11-04T21:10:37.123Z","initiatingUserIPAddress":"155.000.00.00","eventProcessedTimeEnd":"2026-01-04T21:08:43.022551Z","siteName":null,"initiatingUserAgent":"PostmanRuntime/7.42.0","initiatingSessionId":"166a62f4-8bbc-4020-918e-a8b15dc36ff3","siteUri":null,"podUri":null,"eventProcessedTimeStart":"2026-01-14T21:10:34.331Z","initiatingUrl":"https://mytenant.manage.online.tableau.com/api/v1/tenants/9cde722f-1edc-4cdd-b76f-42d87b51c785/activitylog","tenantUri":"mytenant","initiatingUserEmail":"snguyen@example.com","tenantName":"mytenant","eventOutcome":"success","eventTime":"2026-01-14T21:10:27.001Z","siteId":null,"initiatingUserRole":"TCM_ADMIN","initiatingUserDisplayName":". snguyen@example.com","eventTypeAccessed":null,"eventOutcomeReason":null,"initiatingUserId":"33d345e6-a011-4992-8db0-94768451e54e"} ``` **Event logs - site** For example, an event log download URL might produce the following JSON data when opened in a text editor. ``` {"eventId":"8102722e-3033-4112-8a48-8f5ce8e2411d","siteLuid":"33d345e6-36bd-4411-91e2-1c9fc849564e","eventType":"hist_redeem_refresh_token","eventVersion":"0.2","eventCategory":"security","eventTime":"2026-01-04T22:02:33.798536347Z","eventProcessedTime":"2026-01-04T22:02:45.38829Z","siteRoleId":11,"actorUserId":221648,"systemAdminLevel":0,"licensingRoleName":"Tier_Author","eventOutcome":null,"refreshTokenGuid":"76113549-ea79-4c74-8220-751af05af6da","siteName":"mysite","actorUserLuid":"2fe6101f-99d1-434c-8ce2-6cebe5a73d44","deviceName":"ws1-ltmjqxm","initiatingUserLuid":"2fe6101f-99d1-434c-8ce2-6cebe5a73d44","eventOutcomeReason":null,"initiatingUserId":221648} {"eventId":"6254977f-3033-4112-8a48-8f5ce8e2411d","siteLuid":"33d345e6-36bd-4411-91e2-1c9fc849564e","eventType":"hist_redeem_refresh_token","eventVersion":"0.2","eventCategory":"security","eventTime":"2026-01-010T11:05:35.51477Z","eventProcessedTime":"2026-01-010T11:05:59.352Z","siteRoleId":11,"actorUserId":224144,"systemAdminLevel":0,"licensingRoleName":"Tier_Author","eventOutcome":null,"refreshTokenGuid":"76164888-ea79-4c74-8220-751af05af6da","siteName":"mysite","actorUserLuid":"2ef2495f-99d1-434c-8ce2-6cebe5a73d44","deviceName":"ws2-qxltmmj","initiatingUserLuid":"2ef2495f-99d1-434c-8ce2-6cebe5a73d44","eventOutcomeReason":null,"initiatingUserId":224144} ``` **Entity snapshots** ``` {"view_id":"3a0c97cb-1fca-4c32-94a5-3849dc14cfa8","name":"Sales Performance Dashboard – Overview","content_url":"sales-performance-dashboard/overview","created_at":"2025-11-15T18:22:46.000","updated_at":"2026-01-03T18:22:46.000","workbook_id":"f5dc784b-56c0-42c0-a67e-a025e4a7c251","workbook_name":"Sales Performance Dashboard","project_id":"a1b2c3d4-0001-0001-0001-000000000001","project_name":"Sales","owner_id":"2fe6101f-99d1-434c-8ce2-6cebe5a73d44","owner_name":"jsmith","total_views":595,"site_id":"33d345e6-36bd-4411-91e2-1c9fc849564e","site_name":"mysite","snapshot_time":"2026-01-14T21:00:00.000"} {"view_id":"4dd18aa6-915e-4fe2-a5d8-9a26e09d3a87","name":"Marketing KPIs – Overview","content_url":"marketing-kpis/overview","created_at":"2025-09-02T01:09:54.000","updated_at":"2025-09-21T01:09:54.000","workbook_id":"fd71654b-7402-4bb2-9553-f847f89ebdc8","workbook_name":"Marketing KPIs","project_id":"a1b2c3d4-0003-0001-0001-000000000003","project_name":"Finance","owner_id":"33d345e6-a011-4992-8db0-94768451e54e","owner_name":"snguyen","total_views":635,"site_id":"33d345e6-36bd-4411-91e2-1c9fc849564e","site_name":"mysite","snapshot_time":"2026-01-14T21:00:00.000"} {"view_id":"57912241-bd8b-426a-8829-5475d9c3e224","name":"Marketing KPIs – Detail","content_url":"marketing-kpis/detail","created_at":"2025-09-02T01:09:54.000","updated_at":"2025-09-21T01:09:54.000","workbook_id":"fd71654b-7402-4bb2-9553-f847f89ebdc8","workbook_name":"Marketing KPIs","project_id":"a1b2c3d4-0003-0001-0001-000000000003","project_name":"Finance","owner_id":"33d345e6-a011-4992-8db0-94768451e54e","owner_name":"snguyen","total_views":696,"site_id":"33d345e6-36bd-4411-91e2-1c9fc849564e","site_name":"mysite","snapshot_time":"2026-01-14T21:00:00.000"} {"view_id":"f74f8247-12b3-445e-a4c4-be5bcf367f32","name":"Marketing KPIs – Trend","content_url":"marketing-kpis/trend","created_at":"2025-09-02T01:09:54.000","updated_at":"2025-09-21T01:09:54.000","workbook_id":"fd71654b-7402-4bb2-9553-f847f89ebdc8","workbook_name":"Marketing KPIs","project_id":"a1b2c3d4-0003-0001-0001-000000000003","project_name":"Finance","owner_id":"33d345e6-a011-4992-8db0-94768451e54e","owner_name":"snguyen","total_views":103,"site_id":"33d345e6-36bd-4411-91e2-1c9fc849564e","site_name":"mysite","snapshot_time":"2026-01-14T21:00:00.000"} {"view_id":"070f981d-0f9f-4058-892f-9d573162fab0","name":"Ops Efficiency Report – Overview","content_url":"ops-efficiency-report/overview","created_at":"2025-08-29T22:38:34.000","updated_at":"2025-10-08T22:38:34.000","workbook_id":"aaaf29f2-2790-4fed-a376-5b9535f8b9bd","workbook_name":"Ops Efficiency Report","project_id":"a1b2c3d4-0001-0001-0001-000000000001","project_name":"Sales","owner_id":"2fe6101f-99d1-434c-8ce2-6cebe5a73d44","owner_name":"jsmith","total_views":693,"site_id":"33d345e6-36bd-4411-91e2-1c9fc849564e","site_name":"mysite","snapshot_time":"2026-01-14T21:00:00.000"} {"view_id":"708ec15b-09d8-4c25-891b-7deaa5e4e8d6","name":"Pipeline Funnel – Overview","content_url":"pipeline-funnel/overview","created_at":"2025-09-26T06:51:51.000","updated_at":"2025-11-12T06:51:51.000","workbook_id":"71acab53-58ea-4299-b322-293a621e0240","workbook_name":"Pipeline Funnel","project_id":"a1b2c3d4-0003-0001-0001-000000000003","project_name":"Finance","owner_id":"33d345e6-a011-4992-8db0-94768451e54e","owner_name":"snguyen","total_views":653,"site_id":"33d345e6-36bd-4411-91e2-1c9fc849564e","site_name":"mysite","snapshot_time":"2026-01-14T21:00:00.000"} {"view_id":"cd9cd828-531d-4ee6-906b-759e78b09ed6","name":"Pipeline Funnel – Detail","content_url":"pipeline-funnel/detail","created_at":"2025-09-26T06:51:51.000","updated_at":"2025-11-12T06:51:51.000","workbook_id":"71acab53-58ea-4299-b322-293a621e0240","workbook_name":"Pipeline Funnel","project_id":"a1b2c3d4-0003-0001-0001-000000000003","project_name":"Finance","owner_id":"33d345e6-a011-4992-8db0-94768451e54e","owner_name":"snguyen","total_views":984,"site_id":"33d345e6-36bd-4411-91e2-1c9fc849564e","site_name":"mysite","snapshot_time":"2026-01-14T21:00:00.000"} ``` ## Step 5: Pair event logs and entity snapshots Event logs and entity snapshots are complementary data that, when combined, provide comprehensive observability of your Tableau Cloud deployment. Event logs capture historical events (what happened), while entity snapshots capture the current state of content and components (what exists). We recommend getting the latest entity snapshot of your site and collate various event logs created over time to create a single set of data that can be queried for your analysis. By pairing these data together, you can perform advanced analytics that relate events to their entities. ### Common use cases Integrating event logs and entity snapshots enables you to: - **Analyze deleted content:** Query activity related to workbooks, data sources, or users that no longer exist by joining historical events with past entity snapshots. - **Track content evolution:** Understand how entities have changed over time by correlating events with entity states. - **Audit and compliance:** Combine who did what (event logs) with what existed at the time (entity snapshots) for comprehensive audit trails. - **Usage and performance analysis:** Relate performance events to specific content characteristics captured in entity snapshots. - **Tenant-level analysis:** Enables you to combine data across all sites within a tenant for comprehensive reporting and analysis. ### Example - Tableau To pair event logs and entity snapshots in your analytics platform: 1. **Download both sets of data** using the methods described in the previous sections. - For event logs, collate the event logs for the site, multiple sites, or the tenant - For entity snapshots, get the latest data for the site or collate the latest data for multiple sites 2. **Load the data into Tableau** 3. **Use full outer joins** to relate event logs and entity snapshots. This allows you to query events and entities even when one side of the relationship may not exist (such as deleted workbooks). 4. **Join on common fields** such as: - Workbook ID (`workbook_id`, `workbookId`) - Data source ID (`datasource_id`, `datasourceId`) - User ID (`user_id`, `userId`) - Site ID (`site_id`, `siteId`) By joining on these fields, you can answer questions like: - “Show me all access events for workbooks in the Sales project” - “Which users accessed data sources that are now deleted?” - “What was the state of a workbook when a specific error occurred?” ### Best practices - **Specify appropriate time ranges:** When querying event logs, use time ranges that align with your entity snapshot collection schedule to ensure consistency. - **Account for deleted entities:** Use full outer joins to preserve events related to entities that might have been deleted since the snapshot was taken. - **Optimize for your use case:** If you’re only interested in current entities, use inner joins. If you need a complete audit including deleted content, use full outer joins. - **Use tenant-level data:** Take advantage of tenant-level access to analyze patterns across all sites or compare activity between sites. # Tableau Cloud Manager (TCM) Release Notes #### Table of Contents - [October 2026 updates](#october-2026) - [August 2026 updates](#august-2026-updates) - [July 2026 updates](#july-2026-updates) - [June 2026 updates](#june-2026-updates) - [May 2026 updates](#may-2026-updates) - [February 2026 updates](#february-2026-updates) - [December 2025 updates](#december-2025-updates) - [August 2025 updates](#august-2025-updates) - [March 2025 updates](#march-2025-updates) - [January 2025 updates](#january-2025-updates) - [December 2024 updates](#december-2024-updates) - [Fall 2024: TCM REST API release](#fall-2024-tcm-rest-api-release) ### October 2026 The following updates were made available in October 2026: - [Add user to tenant](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/createUserWithMultiRole) and [Update user](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/modifyUserWithMultiRole) - added language implications for site invitation email notifications. Also updated to include Dutch language (NL\_NL) support, which was added in February 2025 (Tableau Cloud 2025.1). ### August 2026 - [Unified Access Tokens](/current/api/cloud-manager/en-us/docs/unified_access_tokens.html) topic - updated prerequisites, step 2, and step 3 to improve usability. ### July 2026 updates The following methods and updates were made available in July 2026: #### Platform Data methods - [Platform Data](/current/api/cloud-manager/en-us/docs/platform_data.html) topic - updated the topic to include entity snapshots and examples. Added new methods: - [Get entity snapshots for site](/current/api/cloud-manager/en-us/reference/index.html#tag/Platform-Data-Methods/operation/getEntitySnapshotForSite) - [List entity snapshots for site](/current/api/cloud-manager/en-us/reference/index.html#tag/Platform-Data-Methods/operation/getSiteEntitySnapshotListForSite) #### Capacity methods Added new capacity types (Visualizations and Pulse digests) for tenants licensed with the capacity-based model: - [List capacities](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity-Methods/operation/getCapacities) - [Update capacities](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity-Methods/operation/updateCapacities) - [List capacity metrics for tenant](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity-Methods/operation/getPaginatedMetricsForTenant) - [List capacity metrics for sites](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity-Methods/operation/getScrolledMetricsForSite) - [Get capacity metrics for site](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity-Methods/operation/getMetricsForSite) ### June 2026 updates The following updates were made available in June 2026: - [List capacities](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity-Methods/operation/getCapacities) and [Update capacities](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity-Methods/operation/updateCapacities) - Removed support for suspended sites. - [Update capacities](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity-Methods/operation/updateCapacities) - Added troubleshooting section for update capacity errors. - [List tenant sites](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods/operation/getSites) and [Get site](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods/operation/getSite) - Added `disasterRecoveryStatus`, which displays cross-region continuity. This capability is currently in pilot. ### May 2026 updates The following methods were made available in May 2026: #### [Capacity methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity-Methods) - [List capacity metrics for tenant](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity-Methods/operation/getPaginatedMetricsForTenant) - [List capacity metrics for sites](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity-Methods/operation/getScrolledMetricsForSite) - [Get capacity metrics for site](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity-Methods/operation/getMetricsForSite) - [Update capacities](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity-Methods/operation/updateCapacities) ### February 2026 updates The following updates were made available in February 2026: - [UATs with Tableau Bridge](/current/api/cloud-manager/en-us/docs/authentication.html#uats-with-tableau-bridge) section - About unified access token (UAT) support for Tableau Bridge (Linux) sign-in. - [Platform Data API](/current/api/cloud-manager/en-us/docs/platform_data.html) topic - An overview of the platform data API capabilities in TCM, the benefits, how to sign in, and example workflows to improve monitoring of your Tableau Cloud deployment. - Added Postman collection references to each method’s landing page. ### December 2025 updates The following methods and updates were made available in December 2025: - [Unified Access Tokens](/current/api/cloud-manager/en-us/docs/unified_access_tokens.html) topic - About JWT-based authorization using unified access tokens (UATs), which includes how to configure UATs for TCM REST API and Tableau REST API. - [Get tenant ID](/current/api/cloud-manager/en-us/docs/tenant.html#get-tenant-id) section - How to find the `tenantID`, a requirement for many TCM REST API calls. - [About configuring SAML authentication](/current/api/cloud-manager/en-us/docs/authentication.html#about-configuring-saml-authentication-in-tableau-cloud-manager) section - About configuring SAML authentication for TCM users and Tableau Cloud site users. - Added access scopes to methods that support authorization with UAT JWTs. This update is made in conjunction with access scope updates to the [Tableau REST API](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_whats_new.htm). - Published [Tableau Cloud Manager REST API Postman](https://www.postman.com/salesforce-developers/salesforce-developers/folder/h3ksyyu/tableau-apis?action=share&creator=0&ctx=documentation) collection. #### [Authentication methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods) - [Create unified access token configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/createUatConfiguration) - [Get unified access token configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/getUatConfiguration) - [List unified access token configurations](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/getUatConfigurations) - [Delete unified access token configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/deleteUatConfiguration) - [Update unified access token configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/updateUatConfiguration) - [Sign in with unified access token](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/jwtLogin) - [Revoke unified access token JWT](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/createUatRevocationRecords) - [List revoked unified access token JWT](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/getUatRevocationRecords) - [Delete revoked unified access token JWT](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/deleteRevocationRecord) - [Sign Out](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/revokeSessionId) #### [Single sign-on methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods) - [Create SAML configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods/operation/createSamlConfiguration) - [Update SAML configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods/operation/updateSamlConfiguration) - [Get SAML configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods/operation/getSAMLConfiguration) - [Delete SAML configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods/operation/deleteSAMLConfiguration) - [Get SAML logs](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods/operation/getAdminLogs) ### October 2025 updates The following methods and updates were made available in October 2025: - [Get activity logs for site](/current/api/cloud-manager/en-us/reference/index.html#tag/Administrative-Methods/operation/getActivityLogForSite) - Gives you site activity captured by activity log. - [List activity logs for site](/current/api/cloud-manager/en-us/reference/index.html#tag/Administrative-Methods/operation/getSiteActivityLogListForSite) - Gives you a list of activity log files that contain site activity captured by activity log. ### August 2025 updates The following methods and updates were made available in August 2025: - [Update site name and content url](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods/operation/renameSite) - Enables administrators to change the name or content URL (subdomain name) of a site. ### March 2025 updates The following methods and updates were made available in March 2025: - [Create or update OIDC configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods/operation/createOrUpdateOIDCConfiguration) - Lets you configure OpenID Connect (OIDC) authentication for your Tableau Cloud Manager users, in addition to Google and Salesforce authentication. ### January 2025 updates The following methods and updates were made available in January 2025: - [List activity logs for tenant](/current/api/cloud-manager/en-us/reference/index.html#tag/Administrative-Methods/operation/getActivityLogFileListForTenant) - Gives you the paths to activity log files that can be used to generate download urls for those files. - [Get activity logs for tenant](/current/api/cloud-manager/en-us/reference/index.html#tag/Administrative-Methods/operation/getActivityLogForTenant) - Lets you specify the activity log paths to generate URLs you can use to download the logs. - Clarification: For methods that deleting users in cases where the user owns content within the tenant. See [Delete tenant user](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/deleteUser) and [Batch delete tenant users](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/deleteUsers). ### December 2024 updates The following methods were made available in December 2024: - [List tenant location](/current/api/cloud-manager/en-us/reference/index.html#tag/Administrative-Methods/operation/getLocations) - Get details of the Tableau pod instances and regions where a tenant can be hosted. - [Accept tenant terms and conditions](/current/api/cloud-manager/en-us/reference/index.html#tag/Administrative-Methods/operation/acceptTermsAndConditions) - Accept the terms and conditions for the specified tenant. ### Fall 2024: TCM REST API release The following methods were made available in the general availability release of TCM: #### [Administrative methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Administrative-Methods) - [List regions](/current/api/cloud-manager/en-us/reference/index.html#tag/Administrative-Methods/operation/getRegions) - [List user data for tenant sites](/current/api/cloud-manager/en-us/reference/index.html#tag/Administrative-Methods/operation/getAllSitesAggregates) - [Get user data for site](/current/api/cloud-manager/en-us/reference/index.html#tag/Administrative-Methods/operation/getSiteAggregate) - [Get user data for tenant](/current/api/cloud-manager/en-us/reference/index.html#tag/Administrative-Methods/operation/getTenantLicenseConsumption) - [Get session information](/current/api/cloud-manager/en-us/reference/index.html#tag/Administrative-Methods/operation/getUserInfoForSelf) #### [Authentication methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods) - [Create personal access token](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/createPersonalAccessToken) - [List personal access tokens](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/listPersonalAccessToken) - [Revoke personal access token](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/revokePersonalAccessToken) - [Sign in](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods/operation/personalAccessTokenLogin) #### [Single sign-on methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-On-Methods) - [List authentication methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods/operation/getResourceAuthConfiguration) - [Create or update OIDC configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods/operation/createOrUpdateOIDCConfiguration) - [Delete OIDC configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods/operation/deleteOIDCConfiguration) - [Get OIDC configuration](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods/operation/getOIDCConfiguration) #### [Site methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods) - [Create site](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods/operation/createSite) - [List sites](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods/operation/getSites) - [Get site](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods/operation/getSite) - [Suspend site](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods/operation/deleteOrSuspendSite) - [Update license limit for site](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods/operation/updateLicenseQuotaForSite) - [Create project](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods/operation/createProjectOnSite) - [Reactivate suspended site](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods/operation/reactivateSuspendedSite) #### [Tenant methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Tenant-Methods) - [Get tenant uniqueness](/current/api/cloud-manager/en-us/reference/index.html#tag/Tenant-Methods/operation/areTenantNameAndEncodeUriUnique) - [Get tenant](/current/api/cloud-manager/en-us/reference/index.html#tag/Tenant-Methods/operation/getTenant) #### [User methods](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods) - [Add tenant user](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/createUserWithMultiRole) - [List tenant users](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/getUsers) - [Batch import users with .gzip](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/bulkUserImport) - [Batch delete tenant users](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/deleteUsers) - [Batch get tenant users](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/getUsersByUserIds) - [Delete user](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/deleteUser) - [Get tenant user](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/getUser) - [Update role and language for tenant user](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/modifyUserWithMultiRole) - [List status for user job](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/getBulkOperationDetails) - [Get user information](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/getUserResourcesByUsername) # Tableau Cloud Manager Operation Error Codes The following numbered error codes may be returned by a request to [List status for user job](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods/operation/getBulkOperationDetails) the Tableau Cloud Manager API when an operation fails. | Error Code | Message | Description | | --- | --- | --- | | `E_400_USR_SVC_2006` | USER\_SERVICE\_UNSUPPORTED\_SITE\_ROLE\_STATUS\_TRANSITION | Site role transition not allowed for user | | `E_400_USR_SVC_2009` | USER\_SERVICE\_UNSUPPORTED\_OPERATION | Unsupported operation requested | | `E_400_USR_SVC_2010` | USER\_SERVICE\_REQUEST\_HANDLING\_FAILED | Invalid arguments in request | | `E_400_USR_SVC_2012` | USER\_SERVICE\_TENANT\_STATUS\_NOT\_ALLOWED | Operation not allowed on inactive tenant | | `E_400_USR_SVC_2017` | USER\_SERVICE\_DEFAULT\_IDP\_HANDLING\_FAILED | Default identity provider is not supported for this site | | `E_403_USR_SVC_2016` | USER\_SERVICE\_REQUEST\_FORBIDDEN | Request forbidden | | `E_403_USR_SVC_2017` | USER\_SERVICE\_LICENSE\_LIMITS\_REACHED | Request forbidden: license limits reached | | `E_403_USR_SVC_2018` | USER\_SERVICE\_SITE\_SETTINGS\_LIMITS\_REACHED | Request forbidden: site settings limits reached | | `E_403_USR_SVC_2019` | USER\_SERVICE\_HEADER\_VALIDATION\_FAILED | Header validation failed | | `E_403_USR_SVC_2022` | INVALID\_CALLER\_TO\_ADD\_SUPPORT\_USER | Support user cannot be added | | `E_403_USR_SVC_2023` | UPDATE\_TO\_SUPPORT\_USER\_FORBIDDEN | Support user cannot be updated | | `E_404_USR_SVC_2020` | ENTITY\_NOT\_FOUND | Tenant, site, or user could not be found | | `E_404_USR_SVC_2022` | EXPIRED\_ENTITY\_FOUND | Expired tenant administrator role invitation | | `E_405_USR_SVC_2025` | USER\_SERVICE\_SELF\_DELETION\_NOT\_ALLOWED | Tenant administrator cannot delete themselves | | `E_405_USR_SVC_2024` | USER\_SERVICE\_METHOD\_NOT\_ALLOWED | Operation not allowed. | | `E_409_USR_SVC_2025` | CONFLICT\_IN\_OPERATION | Tenant, site, or user already in expected state | | `E_500_USR_SVC_3901` | DYNAMO\_DB\_OP\_FAILED | Tenant, site, or user changes could not be saved | | `E_500_USR_SVC_3902` | DYNAMO\_DB\_CONCURRENT\_MODIFICATION\_EXCEPTION | More than one process is trying to update the same tenant, site, or user | | `E_500_USR_SVC_4000` | UNKNOWN\_ERROR | Unknown error occurred | | `E_400_USR_SVC_4001` | USER\_SERVICE\_BULK\_OP\_REQUEST\_HANDLING\_FAILED | Job failed: request handling error | | `E_400_USR_SVC_4020` | USER\_SERVICE\_BULK\_OP\_FILE\_NOT\_FOUND | Job failed: file not found | | `E_400_USR_SVC_4022` | USER\_SERVICE\_BULK\_OP\_JOB\_NOT\_FOUND | Job failed: specified ID not found | | `E_400_USR_SVC_4016` | USER\_SERVICE\_BULK\_JOB\_IN\_INVALID\_STATE | Job failed: invalid state | | `E_400_USR_SVC_4024` | USER\_SERVICE\_BULK\_OP\_WORK\_AREA\_RECORD\_NOT\_FOUND | Job failed: work area record not found | | `E_400_USR_SVC_4025` | USER\_SERVICE\_BULK\_OP\_WORK\_AREA\_RECORD\_IN\_INVALID\_STATE | Job failed: work area record in invalid state | | `E_400_USR_SVC_4026` | USER\_SERVICE\_BULK\_OP\_STAGE\_NOT\_FOUND | Job failed: stage not found | | `E_400_USR_SVC_4027` | USER\_SERVICE\_BULK\_OP\_TYPE\_NOT\_FOUND | Job failed: type not found | | `E_404_USR_SVC_4601` | TENANT\_SERVICE\_ENTITY\_NOT\_FOUND | Tenant or site not found | | `E_400_USR_SVC_4602` | TENANT\_SERVICE\_VALIDATION\_FAILED | Invalid tenant request | | `E_500_USR_SVC_4603` | TENANT\_SERVICE\_ORCHESTRATION\_FAILED | Internal tenant error | | `E_404_USR_SVC_4604` | TENANT\_SERVICE\_RESPONSE\_NOT\_FOUND | Specified tenant not found | | `E_404_USR_SVC_4701` | URS\_RESPONSE\_NOT\_FOUND | User migration error: work flow ID not found | | `E_500_USR_SVC_4702` | URS\_ORCHESTRATION\_FAILED | User migration error: user synchronization failed | | `E_409_USR_SVC_4703` | USER\_SYNC\_ALREADY\_IN\_PROGRESS | User migration error: User synchronization to pod already in progress | | `E_500_USR_SVC_4801` | ENTITLEMENT\_SERVICE\_ORCHESTRATION\_FAILED | Entitlement service error | | `E_404_USR_SVC_4802` | ENTITLEMENT\_SERVICE\_RESPONSE\_NOT\_FOUND | Entitlement not found | | `E_500_USR_SVC_5101` | EXTERNAL\_SERVICE\_RESPONSE\_VALIDATION\_FAILED | Unknown error | # Tableau Cloud Manager REST API Overview Tableau Cloud Manager (TCM) REST API provides cloud administrators a programmatic way to oversee your organization’s Tableau Cloud sites. With TCM REST API, cloud administrators can create and edit sites, manage users, monitor license consumption across multiple sites, and monitor activity, all from a single location. Any changes made within TCM are applied at the top level element, also called a tenant, and then shared across all associated sites, ensuring streamlined administration and governance. - TCM is separate service from Tableau Cloud, with its own authentication and REST interface. - TCM enables you to centrally administer and configure multiple Tableau Cloud sites and their users in a “tenant” element. - TCM enables you to create new sites on a tenant. For more information about TCM, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). ### Tenants - A **tenant** is a grouping of Tableau Cloud sites that are hosted in a region. - A **cloud administrator** is a user with a role, added in TCM, that enables them to manage tenant configuration and content through the TCM UI and REST API. ### Sites on a tenant - A **site** on a tenant is a typical Tableau Cloud site. - The behavior of features like workbooks, data sources, users, roles, licenses, permissions, and more, operate in the same way as Tableau Cloud sites that are not on a tenant. - A site on a tenant can be accessed through the [Tableau REST API](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api.htm). - Existing sites can be migrated to a tenant. ### Users on a tenant - A **user**, in the context of a site in a TCM tenant, is a typical Tableau Cloud user. - Once a user is added to a TCM tenant, that user identity can be added to any site within the tenant. An existing Tableau Cloud user can be migrated to a tenant by itself, in a batch, or in the context of migrating a site to a tenant. A tenant user can also be created directly. ### TCM REST API methods The TCM REST API provides methods for managing a tenant and its members in the following categories. Currently, cloud administrator permissions are required for all REST API requests. - **[Administrative methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Administrative-Methods)** enable you to get information about: the current REST API session; a tenant’s status, region, and globally configured site capabilities; and metrics for the different types of users of a site or tenant. - **[Authentication methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Authentication-Methods)** enable you to create, view, and revoke personal access tokens (PATs) that authenticate you in the service. Also enables you to configure, view, and delete universal access token (UAT) configurations and its associated JWTs that can authenticate you to TCM REST API and Tableau REST API. You can use the sign in methods to retrieve a session access token that enables REST API requests for the duration of the session. - **[Capacity Methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Capacity--Methods)** enable you to manage and monitor certain capacity across the sites on the tenant. - **[Platform Data Methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Platform-Data-Methods)** enable you to manage event logs and entity snapshots for the tenant and site. - **[Single Sign-on methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Single-Sign-on-Methods)** enable you to create, view and delete authentication configurations for the tenant and site. - **[Site Methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Site-Methods)** enable you to create sites and projects, and view, suspend, reactivate and delete sites on a tenant. - **[Tenant methods](/current/api/cloud-manager/en-us/reference/index.html#tag/Tenant-Methods)** enable you to get information about a tenant and to find out if a tenant name is unique. - **[User methods](/current/api/cloud-manager/en-us/reference/index.html#tag/User-Methods)** enable you to create, import, delete users; view details of users and the resources related to users; update some of a user’s attributes. [![Tableau Cloud Manager (TCM) REST API Reference](https://help.tableau.com/current/api/rest_api/en-us/Resources/tableau-logo.png)](https://www.tableau.com/support/help) - Tableau Cloud Manager REST API Overview - Administrative Methods - getList regions - patchAccept tenant terms and conditions - getList tenant locations - getList user data for tenant sites - getGet user data for site - getGet user data for tenant - getGet session information - Authentication Methods - postCreate personal access token - getList personal access tokens - delRevoke personal access token - postSign in with personal access token - postCreate unified access token configuration - getList unified access token configurations - delDelete unified access token configuration - getGet unified access token configuration - putUpdate unified access token configuration - postSign in with unified access token JWT - delSign out - postRevoke unified access token JWT - delDelete revoked unified access token JWT - getList revoked unified access token JWTs - Capacity Methods - getList capacity metrics for tenant - postList capacity metrics for sites - getGet capacity metrics for site - getList capacities - patchUpdate capacities - Platform Data Methods - postGet activity logs for tenant - getList activity logs for tenant - postGet activity logs for site - getList activity logs for site - postGet entity snapshots for site - getList entity snapshots for site - Single Sign-on Methods - postCreate SAML configuration - delDelete SAML configuration - getGet SAML configuration - putUpdate SAML configuration - postList authentication configurations - putCreate or update OIDC configuration - delDelete OIDC configuration - getGet OIDC configuration - getList SAML logs - Site Methods - postCreate site - getList tenant sites - getGet site - delSuspend site - patchUpdate license limit for site - postCreate project - patchReactivate suspended site - patchUpdate site name and content url - Tenant Methods - getGet tenant - User Methods - postAdd user to tenant - getList tenant users - postBatch import users with .gzip - postBatch delete tenant users - postBatch get tenant users - delDelete tenant user - getGet tenant user - patchUpdate user on tenant - getList status for user job - getGet user information [API docs by Redocly](https://redocly.com/redoc/) # Tableau Cloud Manager REST API Reference (Current) URL: [https://cloudmanager.tableau.com](https://cloudmanager.tableau.com) The REST API methods for Tableau Cloud Manager (TCM) allow cloud administrators to manage tenants, sites, and users. TCM REST API methods include administrative, authentication, capacity management, platform data, single sign-on, site, tenant, and user methods. # [](#tag/Tableau-Cloud-Manager-REST-API-Overview)Tableau Cloud Manager REST API Overview Tableau Cloud Manager (TCM) REST API methods are available for Tableau Cloud October 2024 and later. For an overview, see **[Tableau Cloud Manager REST API Overview](https://help.tableau.com/current/api/cloud-manager/en-us/index.html)**. # [](#tag/Administrative-Methods)Administrative Methods TCM REST API Administrative methods allow cloud administrators to manage tenants, sites, and users in the following ways: - List the regions where tenants can be available. - Get the count of users categorized by role for each site in a tenant. - Get the count of users categorized by role for a specified site. - Get the count of users categorized by role for a tenant. - Get information about the current REST API session. **Postman:** [Administrative Methods](https://www.postman.com/salesforce-developers/salesforce-developers/folder/cqu48vj/administrative-methods) ## [](#tag/Administrative-Methods/operation/getRegions)List regions List the regions where a site can be created in a tenant, filtered by the provided criteria. > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager v1, June 2024, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: `tableau:tcm_regions:read`. Added in December 2025. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Authorizations: _x-tableau-session-token_ ##### query Parameters
pageNumber
integer <int32> >= 0
Default: 0

The number of the page to return values for. A value of 0 means do not page results.

pageSize
integer <int32> >= 0
Default: 100

The number of items returned per page.

latitude
number <double>
Example: latitude=37.7749

The latitude of the region, a value between -90 and +90.

longitude
number <double>
Example: longitude=-122.4194

The longitude of the region, a value between -180 and +180.

visibility
string
Enum: "INTERNAL" "PUBLIC"

If INTERNAL, the region is not visible to users. If PUBLIC the region is visible to users. Default is INTERNAL.

countryCode
string
Example: countryCode=US

The country code in the region definition.

### Responses **200** Success. **400** Invalid request. **500** Internal error. get/api/v1/regions https://cloudmanager.tableau.com/api/v1/regions ### Response samples - 200 - 400 - 500 Content type application/json Copy Expand all Collapse all `{ - "regions": [ - { - "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", - "name": "string", - "location": { - "latitude": -90, - "longitude": -180 }, - "visibility": "INTERNAL", - "attributes": { - "property1": "string", - "property2": "string" } } ], - "data": [ - { - "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", - "name": "string", - "location": { - "latitude": -90, - "longitude": -180 }, - "visibility": "INTERNAL", - "attributes": { - "property1": "string", - "property2": "string" } } ] }` ## [](#tag/Administrative-Methods/operation/acceptTermsAndConditions)Accept tenant terms and conditions Accepts the terms and conditions for the specified tenant. > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager v1, October 2024, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: `tableau:tcm_tenants:update`. Added in December 2025. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Authorizations: _x-tableau-session-token_ ##### path Parameters
tenantId
required
string

The unique identifier for the tenant.

### Responses **204** Success. **400** Invalid request. **404** A tenant with the tenant id does not exist. **500** Internal error. patch/api/v1/tenants/{tenantId}/acceptTermsAndConditions https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/acceptTermsAndConditions ### Response samples - 204 - 400 - 404 - 500 Content type application/json Copy `"string"` ## [](#tag/Administrative-Methods/operation/getLocations)List tenant locations Lists the Tableau pod locations or regions where a site for the specified tenant can be created. > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager v1, June 2024, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: `tableau:tcm_tenants:read`. Added in December 2025. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Authorizations: _x-tableau-session-token_ ##### path Parameters
tenantId
required
string

The unique identifier for the tenant.

### Responses **200** Success. **400** Invalid request. **500** Internal error. get/api/v1/tenants/{tenantId}/locations https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/locations ### Response samples - 200 - 400 - 500 Content type application/json Copy Expand all Collapse all `{ - "podsData": { - "pods": [ - { - "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", - "name": "string" } ] }, - "regionsData": { - "regions": [ - { - "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", - "name": "string", - "tags": [ - "RELEASE_PREVIEW" ] } ] } }` ## [](#tag/Administrative-Methods/operation/getAllSitesAggregates)List user data for tenant sites For each site in the tenant, returns counts of users licensed for different roles. > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager v1, June 2024, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: `tableau:tcm_sites:read`. Added in December 2025. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Authorizations: _x-tableau-session-token_ ##### path Parameters
tenantId
required
string <uuid>

The unique identifier of the tenant.

### Responses **200** Success. **403** The user does not have permissions. **404** The specified tenant could not be found. **500** Internal error. get/api/v1/tenants/{tenantId}/sites/users/role-consumption https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/sites/users/role-consumption ### Response samples - 200 - 403 - 404 - 500 Content type application/json Copy Expand all Collapse all `{ - "allSites": [ - { - "siteId": "60189e9c-7d12-438c-b9ca-6998d9c364b1", - "userCount": 0, - "siteAdminCount": 0, - "creators": 0, - "explorers": 0, - "viewers": 0, - "unlicensed": 0 } ] }` ## [](#tag/Administrative-Methods/operation/getSiteAggregate)Get user data for site For the specified site, returns counts of users licensed for different roles. > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager v1, June 2024, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: `tableau:tcm_sites:read`. Added in December 2025. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Authorizations: _x-tableau-session-token_ ##### path Parameters
tenantId
required
string <uuid>

The unique identifier of the tenant.

siteId
required
string <uuid>

The unique identifier of the site.

### Responses **200** Success. **403** The user does not have permissions. **404** The specified tenant or site could not be found. **500** Internal error. get/api/v1/tenants/{tenantId}/sites/{siteId}/users/role-consumption https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/sites/{siteId}/users/role-consumption ### Response samples - 200 - 403 - 404 - 500 Content type application/json Copy `{ - "siteId": "60189e9c-7d12-438c-b9ca-6998d9c364b1", - "userCount": 0, - "siteAdminCount": 0, - "creators": 0, - "explorers": 0, - "viewers": 0, - "unlicensed": 0 }` ## [](#tag/Administrative-Methods/operation/getTenantLicenseConsumption)Get user data for tenant For the specified tenant, returns counts of users licensed for different roles. > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager v1, June 2024, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: `tableau:tcm_tenants:read`. Added in December 2025. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Authorizations: _x-tableau-session-token_ ##### path Parameters
tenantId
required
string <uuid>

The unique identifier of the tenant.

### Responses **200** Success. **403** The user does not have permissions. **404** The specified tenant could not be not found. **500** Internal error. get/api/v1/tenants/{tenantId}/users/license-consumption https://cloudmanager.tableau.com/api/v1/tenants/{tenantId}/users/license-consumption ### Response samples - 200 - 403 - 404 - 500 Content type application/json Copy `{ - "creators": 0, - "explorers": 0, - "viewers": 0, - "unlicensed": 0 }` ## [](#tag/Administrative-Methods/operation/getUserInfoForSelf)Get session information Returns the user ID and tenant ID associated with the session. > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager V2, June 2024, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: Not required. Added in December 2025. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Authorizations: _x-tableau-session-token_ ### Responses **200** Success. **401** User could not be authenticated. **404** Active session not found. **500** Internal error. get/api/v2/userinfo https://cloudmanager.tableau.com/api/v2/userinfo ### Response samples - 200 - 401 - 404 - 500 Content type application/json Copy `{ - "sessionId": "123e4567-e89b-12d3-a456-426614174000", - "userId": "123e4567-e89b-12d3-a456-426614174000", - "tenantId": "123e4567-e89b-12d3-a456-426614174000", - "sessionType": "USER" }` # [](#tag/Authentication-Methods)Authentication Methods Tableau Cloud Manager REST API Authentication methods allow cloud administrators to sign in to Tableau Cloud Manager REST API and manage personal access tokens (PATs) or unified access tokens (UATs) in the following ways: - Create a personal access token (PAT). Creating a PAT generates a PAT secret that you use in the request body of your sign-in request. - List all valid PATs. - Revoke a PAT. - Sign in to TCM REST API using a PAT and get a session access token, `x-tableau-session-token`, to use in the header of all subsequent REST API calls. - Configure a unified access token (UAT) for JSON Web Token (JWT)-based authentication. - Get a UAT configuration. - List all UAT configurations. - Delete a UAT configuration. - Sign in to TCM REST API using a UAT and get a session access token, `x-tableau-session-token`, to use in the header of all subsequent REST API calls. - Revoke a UAT JWT. - List all revoked UAT JWTs. - Delete a revoked UAT JWT. For more information, see the following: - [TCM REST API Authentication](https://help.tableau.com/current/api/cloud-manager/en-us/docs/authentication.html) - [Unified Access Tokens](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html) - [Personal Access Tokens for Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_personal_access_tokens.htm) in the Tableau Cloud Help **Postman:** [Authentication Methods](https://www.postman.com/salesforce-developers/salesforce-developers/folder/ocdkesg/authentication-methods) ## [](#tag/Authentication-Methods/operation/createPersonalAccessToken)Create personal access token Generates a personal access token (PAT) to enable REST API authentication for Tableau Cloud Manager (TCM). A PAT is required to sign in to Tableau Cloud Manager (TCM). **Notes:** - This PAT cannot be used to sign in to Tableau Cloud. - When signing in to Tableau Cloud Manager REST API for the first time, you must use the TCM UI to generate a PAT. For more information, see [TCM REST API Authentication](https://help.tableau.com/current/api/cloud-manager/en-us/docs/authentication.html). > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager v1, June 2024, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: Not available. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Authorizations: _x-tableau-session-token_ ##### Request Body schema: application/json required
tokenName
required
string

Name of the personal access token (PAT). PAT name must be unique.

absoluteExpiryInDays
integer <int32>

Number of days the PAT is valid for. Default value is 180 days; maximum value is 365 days. For security purposes, we recommend setting a value that is no more than 180 days.

### Responses **200** Success. **400** Invalid request. **401** Personal access token not valid. **403** User is not authorized. **404** Tenant, user, or role with the specified ID could not be found. **415** Invalid request body. **500** Internal error. post/api/v1/pat https://cloudmanager.tableau.com/api/v1/pat ### Request samples - Payload Content type application/json Copy `{ - "tokenName": "MyTokenName", - "absoluteExpiryInDays": 180 }` ### Response samples - 200 - 400 - 403 - 404 - 415 - 500 Content type application/json Copy `{ - "tokenUUID": "123e4567-e89b-12d3-a456-426614174000", - "tokenName": "MyTokenName", - "userId": "123e4567-e89b-12d3-a456-426614174000", - "tenantId": "123e4567-e89b-12d3-a456-426614174000", - "issueInUtc": "2024-07-01T00:00:00Z", - "expirationInUtc": "2024-07-31T00:00:00Z", - "secret": "string" }` ## [](#tag/Authentication-Methods/operation/listPersonalAccessToken)List personal access tokens Gets a list of all valid personal access tokens (PATs) you have generated for Tableau Cloud Manager (TCM). > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager v1, June 2024, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: `tableau:tcm_pats:read`. Added in December 2025. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Authorizations: _x-tableau-session-token_ ### Responses **200** Success. **401** Personal access token not valid. **403** User is not authorized to list personal access tokens. **404** Personal access token could not be found. **500** Internal error. get/api/v1/pat https://cloudmanager.tableau.com/api/v1/pat ### Response samples - 200 - 403 - 404 - 500 Content type application/json Copy Expand all Collapse all `[ - { - "tokenUUID": "123e4567-e89b-12d3-a456-426614174000", - "tokenName": "MyTokenName", - "userId": "123e4567-e89b-12d3-a456-426614174000", - "tenantId": "123e4567-e89b-12d3-a456-426614174000", - "issueInUtc": "2024-07-01T00:00:00Z", - "expirationInUtc": "2024-07-31T00:00:00Z" } ]` ## [](#tag/Authentication-Methods/operation/revokePersonalAccessToken)Revoke personal access token Revokes a personal access token (PAT). > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager v1, June 2024, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: `tableau:tcm_pats:delete`. Added in December 2025. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Authorizations: _x-tableau-session-token_ ##### header Parameters
tokenUUID
required
string

The token ID of the PAT.

### Responses **204** Success. **401** Personal access token not valid. **403** User not authorized. **404** PAT not found. **500** Internal error. delete/api/v1/pat https://cloudmanager.tableau.com/api/v1/pat ### Response samples - 403 - 404 - 500 Content type application/json Copy `{ - "message": "string", - "reason": "string", - "errorCode": "string" }` ## [](#tag/Authentication-Methods/operation/personalAccessTokenLogin)Sign in with personal access token Signs in to Tableau Cloud Manager (TCM) REST API using a personal access token (PAT). You must use a PAT to sign in to theTCM REST API using this method. To generate a PAT, go to your TCM My Account Settings or call the [Create Personal Access Token](#tag/Authentication-Methods/operation/createPersonalAccessToken) method. **Note:** When signing in to TCM REST API for the first time, you must use the TCM UI to generate a PAT. For more information, see [TCM REST API Authentication](https://help.tableau.com/current/api/cloud-manager/en-us/docs/authentication.html#set-up-tcm-authentication-for-users). > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager v1, June 2024, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: Not required. Added in December 2025. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Request Body schema: application/json required
token
required
string

Token secret that is generated when you create a personal access token (PAT).

### Responses **200** Success. **400** Invalid request. **401** User is not authenticated. **403** User is not authorized. **404** PAT with the specified ID was not found. **500** Internal error. post/api/v1/pat/login https://cloudmanager.tableau.com/api/v1/pat/login ### Request samples - Payload Content type application/json Copy `{ - "token": "bSG+6ttrRgqMLzonp5j89w==:SUOF-rjwMZZKXg-T3GcpDVFrIKAO6VIbTyZyq39bWR0" }` ### Response samples - 200 - 400 - 401 - 403 - 404 - 500 Content type application/json Copy `{ - "sessionToken": "bSG+6ttrRgqMLzonp5j89w==:SUOF-rjwMZZKXg-T3GcpDVFrIKAO6VIbTyZyq39bWR0", - "userId": "123e4567-e89b-12d3-a456-426614174000", - "tenantId": "123e4567-e89b-12d3-a456-426614174000", - "sessionExpiration": "2019-08-24T14:15:22Z" }` ## [](#tag/Authentication-Methods/operation/createUatConfiguration)Create unified access token configuration Creates a unified access token (UAT) configuration to enable Tableau Cloud Manager REST API authentication using a JSON Web Token (JWT). A UAT configuration must be associated with the JWT, through its public key or JWKS URI, used to sign in to Tableau Cloud Manager (TCM) REST API using the [Sign in with JSON Web Token](#tag/Authentication-Methods/operation/jwtLogin) method. Tableau Cloud Manager REST API authentication with a JWT enables users to perform administrative and content tasks both on the tenant and Tableau Cloud sites on the tenant. > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager v1, December 2025, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: `tableau:tcm_uat_configs:create`. Added in December 2025. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Authorizations: _x-tableau-session-token_ ##### Request Body schema: application/json required
name
required
string

The name of the unified access token (UAT) configuration. UAT configuration name must be unique.

issuer
required
string

The issuer of the JSON Web Token (JWT).

publicKey
string

The public key used to verify the JSON Web Token (JWT). Use this value or jwksUri, but not both.

jwksUri
string

The URI of the JWKS endpoint. Use this value or publicKey, but not both.

usernameClaim
string

The username claim that maps to the Tableau username. Default value is email.

resourceIds
required
Array of strings <uuid> unique [ items <uuid > ]

The tenant ID, the tenant ID and site IDs associated with the tenant, or site IDs associated with the same tenant. You can get the resourceId by calling the Get Tenant or List Tenant Sites method.

scopes
Array of strings <scope> unique [ items <scope > ]

The access scopes defined in the JSON Web Token (JWT) associated with the unified access token (UAT) configuration. Scopes in the UAT are optional and allow you to further restrict the operations available to the JWT.

enabled
boolean

If true, the unified access token (UAT) configuration is enabled. Default value is true.

### Responses **201** Success. **400** Invalid request. **500** Internal error. post/api/v1/uat-configurations https://cloudmanager.tableau.com/api/v1/uat-configurations ### Request samples - Payload Content type application/json Copy Expand all Collapse all `{ - "name": "JWT - Employees", - "issuer": "[https://myidp.okta.com/app1](https://myidp.okta.com/app1)", - "publicKey": "-----BEGIN PUBLIC KEY-----MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA...", - "jwksUri": "[https://myidp.okta.com/oauth2/default/v1/keys](https://myidp.okta.com/oauth2/default/v1/keys)", - "usernameClaim": "string", - "resourceIds": [ - "123e4567-e89b-12d3-a456-426614174000", - "123e4567-e89b-12d3-a456-426614174002", - "123e4567-e89b-12d3-a456-426614174003" ], - "scopes": [ - "tableau:tcm_sites:read", - "tableau:tcm_sites:update", - "tableau:sites:read", - "tableau:sites:update" ], - "enabled": true }` ### Response samples - 201 - 400 - 500 Content type application/json Copy Expand all Collapse all `{ - "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", - "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0", - "configId": "46ff6d11-d8b2-40d8-9197-dfa33c61cd6c", - "name": "string", - "issuer": "string", - "publicKeyActive": "string", - "publicKey": "string", - "jwksUri": "string", - "usernameClaim": "string", - "resourceIds": [ - "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], - "scopes": [ - "tableau:tcm_sites:read", - "tableau:tcm_sites:update", - "tableau:sites:read", - "tableau:sites:update" ], - "enabled": true }` ## [](#tag/Authentication-Methods/operation/getUatConfigurations)List unified access token configurations Gets a list of all unified access token (UAT) configurations. > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager v1, December 2025, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: `tableau:tcm_uat_configs:read`. Added in December 2025. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Authorizations: _x-tableau-session-token_ ### Responses **200** Success. **500** Internal error. get/api/v1/uat-configurations https://cloudmanager.tableau.com/api/v1/uat-configurations ### Response samples - 200 - 500 Content type application/json Copy Expand all Collapse all `{ - "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", - "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0", - "configId": "46ff6d11-d8b2-40d8-9197-dfa33c61cd6c", - "name": "string", - "issuer": "string", - "publicKeyActive": "string", - "publicKey": "string", - "jwksUri": "string", - "usernameClaim": "string", - "resourceIds": [ - "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], - "scopes": [ - "tableau:tcm_sites:read", - "tableau:tcm_sites:update", - "tableau:sites:read", - "tableau:sites:update" ], - "enabled": true }` ## [](#tag/Authentication-Methods/operation/deleteUatConfiguration)Delete unified access token configuration Deletes the specified unified access token (UAT) configuration. > Permissions: Only cloud administrators can call this method. > Version: Available in Tableau Cloud Manager v1, December 2025, and later. > License: No additional Tableau license is required. For more information, see [About Tableau Cloud Manager](https://help.tableau.com/current/online/en-us/cloud_manager_intro.htm). > Access scope: `tableau:tcm_uat_configs:delete`. Added in December 2025. For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes). ##### Authorizations: _x-tableau-session-token_ ##### path Parameters
configId
required
string <uuid>
Example: lafb0f7e-2962-40d5-bfc9-e95141bcb68f

The unique identifier of the unified access token (UAT) configuration. You can get the configId by calling the List unified access token configurations method.

[...]
